org.glassfish.jersey.message

## Class AbstractEntityProviderModel<T>

- java.lang.Object
- - org.glassfish.jersey.message.AbstractEntityProviderModel<T>

Direct Known Subclasses:
  ReaderModel, WriterModel

    public abstract class AbstractEntityProviderModel<T>
    extends Object

Abstract entity provider model.

Since:
  2.16
Author:
  Marek Potociar

### Method Summary

All Methods Instance Methods Concrete Methods
`List<jakarta.ws.rs.core.MediaType>` `declaredTypes()` Get types declared as supported (via `@Produces` or `@Consumes`) on the entity provider.
`boolean` `isCustom()` Get the `custom` flag value.
`Class<?>` `providedType()` Get the provided Java type.
`T` `provider()` Get the modelled entity provider instance.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### provider

    public T provider()

Get the modelled entity provider instance.

Returns:
  entity provider instance.

#### declaredTypes

    public List<jakarta.ws.rs.core.MediaType> declaredTypes()

Get types declared as supported (via `@Produces` or `@Consumes`) on the entity provider.

Returns:
  declared supported types.

#### isCustom

    public boolean isCustom()

Get the `custom` flag value.

Returns:
  `true` if the provider is a custom implementation, `false` if the provider is one of the default providers supplied with Jersey.

#### providedType

    public Class<?> providedType()

Get the provided Java type.

Returns:
  provided Java type.